/*
 * CustomException.cpp
 *
 *  Created on: Apr 7, 2010
 *      Author: crueger
 */

#include "Helpers/MemDebug.hpp"

#include "CustomException.hpp"

using namespace std;

CustomException::CustomException(std::string _file, int _line):
 file(_file),
 line(_line)
{}

CustomException::~CustomException() throw ()
{}


ostream& operator<<(ostream &ost,CustomException &excp){
  // we use this to let others know from where the exception was thrown
  ost << excp.what() << "\nIn " << excp.file << ":" << excp.line;
  return ost;
}
